#include <IRremote.h>
#include <Servo.h>

int RECV_PIN = 5;

IRrecv irrecv(RECV_PIN);
Servo izq;
Servo der;
Servo cen;

decode_results results;

void setup()
{
  Serial.begin(9600);
  // In case the interrupt driver crashes on setup, give a clue
  // to the user what's going on.
  Serial.println("Enabling IRin");
  irrecv.enableIRIn(); // Start the receiver
  Serial.println("Enabled IRin");
  izq.attach(6);
  der.attach(4);
  izq.detach();
  der.detach();
  cen.attach(3);
  cen.detach();
}

void loop() {
  if (irrecv.decode(&results)) {
    Serial.println(results.value);

    if(results.value == 300870165){
      izq.attach(6);
      //izq.write(170);

    }
    if(results.value == 300847725){
      izq.detach();
    }
    if(results.value == 300827325){
      der.attach(4);
      //der.write(170);
    }
    if(results.value == 300841605){
      der.detach();
    }
    if(results.value == 300824775){
      cen.detach();
    }
    if(results.value == 300839565){
      cen.attach(3);
      cen.write(0);
    }
    irrecv.resume(); // Receive the next value

  }
  delay(100);
}
